Reissue card

Reissue a physical (plastic/metal) or virtual card for a given customer/account.

For information on card reissue scenarios and statuses, refer to the Card reissuing guide.

This endpoint generates a Card updated event for the old card, and a Card created event for the new card. The Card created event is generated asynchronously - any operation that tries to access a card before this event, such as update password or get PCI information, is going to return a 404, not found error.

Notes:

  • If an attempt is made to reissue a card that has already been reissued, the new card's data created in the previous reissue is returned, that is, another card is not created and events are not generated.
  • To update the new card with the old card's PIN, call Get password for the old card, then update the new card's password with Change card password
  • To transfer tokens to the new card, set the update_tokens field to true. You can also do this later with the Transfer card tokens to other card endpoint.
  • Currently, there is no way to transfer a card's PAN
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Customer ID

integer
required

Pismo account ID

string
required

Pismo card ID

Body Params

Request body

integer
required

Reissue reason ID. You can get reason IDs using the Get card reissue reasons endpoint. The must_block flag comes from the reissue reason object.

string
length between 2 and 26

Printed/embossed card name.

Currently, you have 3 ways to populate this field:

  1. During account creation via the application.applicant.personal.social_name field.
  2. During account creation via the application.applicant.personal.name field when the field in #1 is not set.
  3. Passing the printed_name field during card creation, updating a card, or when reissuing a card. This takes priority over #1 and #2.

No letters with accents, numbers, or special characters - only letters (a-z|A-Z) and space, as specified in the ISO EMV tag 5F20 for cardholder name.

REQUIRED for an UNNUMBERED card (Card created without PIN or PAN that issuer defines at some point in the future.)

integer
enum
Defaults to 4

PIN length - 4 or 6 digits. Default is 4.

Allowed:
integer
1 to 4320

REQUIRED for a virtual card. Virtual card CVV rotation interval in hours.

To force a rotation manually, call the Rotate virtual card CVV endpoint.

If 0 is passed, the CVV will NOT be rotated.

string
length between 2 and 32

Embossing group name. Clients can work with multi-embossers. You can use this field to notify an embosser about a card request. If this parameter is not passed, and you work with multi-embossers, the default embosser is used. For more information, refer to the Physical card embossing guide.

string
length ≤ 1000

For physical cards. Additional information for embossing company. For example: tracking number or whether the card should be plastic or metal.

You can use this field for any embossing needs specific to your business. Whatever is sent must be agreed upon with the embosser—what to send, what values to send, what format to send, what size to send for each value, and so on.

boolean
Defaults to true

For physical cards. Is card enabled for contactless transactions?

With contactless transactions, you hold or tap the card on contactless-enabled card reader to complete a transaction. This requires that both the card and the terminal have Near Field Communication (NFC) technology. Most embossers can create plastic contactless cards.

Default is true.

metadata
object

Any key-value object. Max length = 3200 bytes. This must be valid JSON data.

boolean
deprecated

This field is DEPRECATED. For more information, refer to the ABU documentation in the Cards overview guide.

When a card is created or reissued, or its account credentials change, Mastercard is notified if this feaure is enabled. Notification updates are sent to Mastercard on a daily basis.

For more information, refer to Mastercard's ABU documentation.

string

Template ID. Templates are used to implement the BIN override feature. For more information, refer to the BIN override guide.

string
enum

Mode type enum - SINGLE or COMBO. A combo card can have both a credit and debit mode, meaning it is associated with both a credit and debit program and account. A single card has one mode - credit or debit. Refer to the mode documentation in the Card overview guide for more information.

Allowed:
boolean
Defaults to false

Should the card be updated with associated tokens?

If true, the cardholder will not need to redigitize their card for their current wallet apps.

Default is false.

IMPORTANT: This feature requires additional access setup. Contact your Pismo representative for details.

string
enum

Card status, sent when an UNNUMBERED card is requested. For issuers who want to create cards on the Pismo platform that will not have PCI data (PAN, PIN) generated here but that they will provide at some point in the future.

Allowed:
string
enum

Card network that overrides the one set up by the card's program.

REQUIRED when the status field is used for UNNUMBERED cards.

Allowed:
boolean
Defaults to false

For physical cards. Should a PIN Verification Value (PVV) be generated and inserted into the card tracks during embossing, or should the PVV be generated and sent to Visa when updating the card's PIN? Visa's PIN Verification Service (PVS) must be enabled. The default is false.

string

Card expiration date (format = yymm). If passed, the card expiration date is not calculated using the "Card expiration (# of months)" program parameter.

integer

How long, in hours, the card is valid. Cannot exceed the card's expiration_date. Once this period is exceeded, and the card has a NORMAL, BLOCKED, PENDING, WARNING or REISSUED status, its status becomes INOPERATIVE.

This field is used to calculate the datetime value for valid_until.

For VIRTUAL and PLASTIC cards. Setting this field for TEMPORARY or RECURRING cards returns a 400 Bad request error.

boolean
Defaults to false

During ATM transactions, should the card's online PIN be updated when the offline PIN change script is sent to the terminal for execution?

If false, the online PIN is only updated after a subsequent transaction, once the Pismo platform verifies - via the card's CVR (Card Verification Results) — that the offline script was successfully applied.

Default is false.

Headers
string
length ≤ 36

A unique identifier to ensure the operation remains idempotent, allowing for operation repetition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies. 36 chars max.

Responses

401

Access token is missing or invalid

403

You don't have permission to access this resource

409

Specified resource status conflict with current request

500

Internal server error

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json